summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-13 00:41:46 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:41:46 +0200
commite550883348ce9fa59b969b6997bcd1f5132a1785 (patch)
tree2293fd9522b3cde6c9dc2a5daf12cebe133eecad
parent6623346a8ad98715b143fa6e4816d9313afcdf45 (diff)
downloadslackbuilds-e550883348ce9fa59b969b6997bcd1f5132a1785.tar.gz
slackbuilds-e550883348ce9fa59b969b6997bcd1f5132a1785.tar.xz
system/set_rlimits: Updated for version 1.3.0
-rw-r--r--system/set_rlimits/Makefile.patch50
-rw-r--r--system/set_rlimits/set_rlimits.SlackBuild42
-rw-r--r--system/set_rlimits/set_rlimits.info8
3 files changed, 64 insertions, 36 deletions
diff --git a/system/set_rlimits/Makefile.patch b/system/set_rlimits/Makefile.patch
index f0963dc62b..398356aa39 100644
--- a/system/set_rlimits/Makefile.patch
+++ b/system/set_rlimits/Makefile.patch
@@ -1,29 +1,45 @@
---- Makefile 2007-04-22 14:18:21.000000000 -0400
-+++ Makefile.new 2007-04-22 14:31:49.000000000 -0400
-@@ -12,16 +12,16 @@
- gcc -Wall -g -o set_rlimits set_rlimits.c
+diff -Nur set_rlimits-1.3.0.orig/Makefile set_rlimits-1.3.0/Makefile
+--- set_rlimits-1.3.0.orig/Makefile 2008-05-15 05:44:21.000000000 -0500
++++ set_rlimits-1.3.0/Makefile 2009-07-14 01:43:10.829342025 -0500
+@@ -4,6 +4,10 @@
+ # C compiler to use
+ CC=gcc
+
++# CFLAGS to use
++CFLAGS = -Wall -g
++EXTRA_CFLAGS =
++
+ # Installation locations. If SYSCONFDIR is changed, the CONFIG_FILE define
+ # in set_rtlimits.c will need changing to match.
+ PREFIX=/usr/local
+@@ -12,19 +16,19 @@
+ all: set_rlimits
+
+ set_rlimits: set_rlimits.c
+- $(CC) -Wall -g -o set_rlimits set_rlimits.c
++ $(CC) $(CFLAGS) $(EXTRA_CFLAGS) -o set_rlimits set_rlimits.c
install: set_rlimits
- test -d $(PREFIX)/bin || mkdir -p $(PREFIX)/bin
- test -d $(PREFIX)/man/man8 || mkdir -p $(PREFIX)/man/man8
- test -d $(SYSCONFDIR) || mkdir -p $(SYSCONFDIR)
- cp -p set_rlimits $(PREFIX)/bin/
-- chown root.root $(PREFIX)/bin/set_rlimits
+- chown 0.0 $(PREFIX)/bin/set_rlimits
- chmod u+s $(PREFIX)/bin/set_rlimits
- test -e $(SYSCONFDIR)/set_rlimits.conf || cp set_rlimits.conf $(SYSCONFDIR)/
-- chown root.root $(SYSCONFDIR)/set_rlimits.conf
+- chown 0.0 $(SYSCONFDIR)/set_rlimits.conf
- cp -p set_rlimits.8 $(PREFIX)/man/man8/
-- chown root.root $(PREFIX)/man/man8/set_rlimits.8
-+ test -d $(DESTDIR)$(PREFIX)/bin || mkdir -p $(DESTDIR)$(PREFIX)/bin
-+ test -d $(DESTDIR)$(PREFIX)/man/man8 || mkdir -p $(DESTDIR)$(PREFIX)/man/man8
-+ test -d $(DESTDIR)$(SYSCONFDIR) || mkdir -p $(DESTDIR)$(SYSCONFDIR)
-+ cp -p set_rlimits $(DESTDIR)$(PREFIX)/bin/
-+ chown root.root $(DESTDIR)$(PREFIX)/bin/set_rlimits
-+ chmod u+s $(DESTDIR)$(PREFIX)/bin/set_rlimits
-+ test -e $(DESTDIR)$(SYSCONFDIR)/set_rlimits.conf || cp set_rlimits.conf $(DESTDIR)$(SYSCONFDIR)/
-+ chown root.root $(DESTDIR)$(SYSCONFDIR)/set_rlimits.conf
-+ cp -p set_rlimits.8 $(DESTDIR)$(PREFIX)/man/man8/
-+ chown root.root $(DESTDIR)$(PREFIX)/man/man8/set_rlimits.8
+- chown 0.0 $(PREFIX)/man/man8/set_rlimits.8
++ test -d $(DESTDIR)/$(PREFIX)/bin || mkdir -p $(DESTDIR)/$(PREFIX)/bin
++ test -d $(DESTDIR)/$(PREFIX)/man/man8 || mkdir -p $(DESTDIR)/$(PREFIX)/man/man8
++ test -d $(DESTDIR)/$(SYSCONFDIR) || mkdir -p $(DESTDIR)/$(SYSCONFDIR)
++ cp -p set_rlimits $(DESTDIR)/$(PREFIX)/bin/
++ chown 0.0 $(DESTDIR)/$(PREFIX)/bin/set_rlimits
++ chmod u+s $(DESTDIR)/$(PREFIX)/bin/set_rlimits
++ test -e $(DESTDIR)/$(SYSCONFDIR)/set_rlimits.conf || cp set_rlimits.conf $(DESTDIR)/$(SYSCONFDIR)/
++ chown 0.0 $(DESTDIR)/$(SYSCONFDIR)/set_rlimits.conf
++ cp -p set_rlimits.8 $(DESTDIR)/$(PREFIX)/man/man8/
++ chown 0.0 $(DESTDIR)/$(PREFIX)/man/man8/set_rlimits.8
.PHONY: clean tidy
diff --git a/system/set_rlimits/set_rlimits.SlackBuild b/system/set_rlimits/set_rlimits.SlackBuild
index 6200946d2a..673bed551d 100644
--- a/system/set_rlimits/set_rlimits.SlackBuild
+++ b/system/set_rlimits/set_rlimits.SlackBuild
@@ -5,13 +5,12 @@
# Modified by the SlackBuilds Project
-set -e
-
PKGNAME=set_rlimits
-VERSION=1.2.0
+VERSION=1.3.0
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PKGNAME
@@ -19,41 +18,52 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAME-$VERSION
-tar xvzf $CWD/$PKGNAME-$VERSION.tgz || exit 1
-cd $PKGNAME-$VERSION || exit 1
+tar xvf $CWD/$PKGNAME-$VERSION.tgz
+cd $PKGNAME-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-patch < ${CWD}/Makefile.patch || exit 1
+# Fixup CFLAGS usage and add DESTDIR support
+patch -p1 < $CWD/Makefile.patch
+
+make clean # oops :-)
+make EXTRA_CFLAGS="$SLKCFLAGS" PREFIX=/usr
+make install PREFIX=/usr DESTDIR=$PKG
-make || exit 1
-make install PREFIX=/usr SYSCONFDIR=/etc DESTDIR=$PKG || exit 1
+mv $PKG/etc/set_rlimits.conf $PKG/etc/set_rlimits.conf.new
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
-cp -a AUTHORS COPYING Changelog README $PKG/usr/doc/$PKGNAME-$VERSION
-cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
-
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done )
-mv $PKG/etc/set_rlimits.conf $PKG/etc/set_rlimits.conf.new
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING Changelog README $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/set_rlimits/set_rlimits.info b/system/set_rlimits/set_rlimits.info
index 351663ef74..cb893ee4c5 100644
--- a/system/set_rlimits/set_rlimits.info
+++ b/system/set_rlimits/set_rlimits.info
@@ -1,8 +1,10 @@
PRGNAM="set_rlimits"
-VERSION="1.2.0"
+VERSION="1.3.0"
HOMEPAGE="http://www.physics.adelaide.edu.au/~jwoithe/"
-DOWNLOAD="http://www.physics.adelaide.edu.au/~jwoithe/set_rlimits-1.2.0.tgz"
-MD5SUM="b7385886aecbfb1c3a1631c93c7311d2"
+DOWNLOAD="http://www.physics.adelaide.edu.au/~jwoithe/set_rlimits-1.3.0.tgz"
+MD5SUM="4d7c2f66b8351d8c2627cfd18ec56b7f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="paul wisehart"
EMAIL="wise@lupulin.net"
APPROVED="BP{k}"